Přejít na obsah

Kling 1.0

Integrace

ID modelu kling-video/v1/standard/effects
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/v1/standard/effects?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "effect_scene": "heart_gesture"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Tento požadavek: 0,225 $ 225 kreditů API Spustit na této stránce

Získat API klíč
Kling Text na video 5–10 s #motion

Aplikuje na vstupní obrázky jeden z mnoha přednastavených vizuálních efektů (křídla, objetí, bullet time aj.) a vytvoří 5- nebo 10sekundový klip

Vytvořeno na Doitong

Veřejná díla vytvořená komunitou Doitong pomocí Kling Video Effects. Znovu použijte prompt jedním kliknutím.

Zobrazená veřejná díla: 16
**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Video

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Video

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Video

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Уютная база отдыха с деревянными домиками-шале среди сосен. Майя и Клиентка заходят в теплое кафе... Video

Уютная база отдыха с деревянными домиками-шале среди сосен. Майя и Клиентка заходят в теплое кафе с панорамными окнами. Внутри деревянный интерьер, мягкие диваны и живые цветы. Они садятся за столик, перед ними стоят дымящиеся чашки чая. Мягкий свет ламп создает уют. Средний план, уровень глаз. (...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Video

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Реалистично оживи старую семейную фотографию. Все люди сохраняют свои оригинальные лица, черты вн... Video

Реалистично оживи старую семейную фотографию. Все люди сохраняют свои оригинальные лица, черты внешности, возраст, причёски и одежду. Мужчины слегка поворачивают головы, естественно моргают и едва заметно улыбаются. Женщина слева спокойно смотрит в камеру и мягко моргает. Маленький ребёнок слегка...

A five-second orbital camera move circling completely around a red-haired woman in a yellow rainc... Video

A five-second orbital camera move circling completely around a red-haired woman in a yellow raincoat standing in an autumn forest holding a vintage lantern, she remains stationary facing forward while the camera circles 180 degrees from her left side to her right side at eye level, golden fallen...

A five-second whip pan transition starting on a chef in white uniform chopping fresh herbs on a w... Video

A five-second whip pan transition starting on a chef in white uniform chopping fresh herbs on a wooden cutting board in a bright kitchen, camera suddenly swings in a rapid blur motion panning right at high speed creating motion blur, ending sharply focused on a barista pouring latte art in a...

Sestavit požadavek

Ovládací prvky se generují ze schématu modelu. Kód a cena se aktualizují podle provedených změn.

duration 5 s

Délka výstupního videa v sekundách.

•povinné

Výběr scény efektu, který nabízí efekty s jedním obrázkem s výjimkou možnosti heart_gesture s více obrázky.

Pokročilé input_image_urls · enable_safety_checker
Přetáhněte soubor nebo

URL vstupních obrázků efektu; pro heart_gesture jsou vyžadovány dva obrázky a pro jakýkoli jiný efekt jeden obrázek.

POST /run/kling-video/v1/standard/effects?wait=20 cena → 0,225 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/v1/standard/effects?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "effect_scene": "heart_gesture"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Spustit tento požadavek

Váš klíč zůstává v tomto prohlížeči: odesílá se pouze do Doitong API a uloží se do localStorage jen tehdy, když zaškrtnete možnost Zapamatovat. Získat klíč API

O modelu Kling 1.0

Vytvoří krátké video použitím pojmenovaného efektu z `effect_scene` na obrázku. Většina efektů přijímá jeden obrázek, zatímco heart_gesture vyžaduje přesně dva obrázky zadané v `input_image_urls`. `duration` může být 5 nebo 10 sekund a seznam nabízí mnoho přednastavených scén, například bullet_time_360, running_man a birthday_star.

Parametry

NázevTyp VýchozíPovolené Popis
enable_safety_checkervolitelné
Typboolean
Výchozítrue
Bezpečnostní kontroly lze vypnout pouze s autorizací účtu; požadavky bez autorizace vždy procházejí kontrolou.
input_image_urlsvolitelné
Typurl[] · image
URL vstupních obrázků efektu; pro heart_gesture jsou vyžadovány dva obrázky a pro jakýkoli jiný efekt jeden obrázek.
effect_scenepovinné
Typenum
heart_gesturebullet_time_360swish_swishrunning_manswing_swingbuilding_sweaterpure_white_wingsblack_wingsgolden_wingpink_pink_wingscountdown_teleportinstant_christmasbirthday_startiger_hug_propet_lion_prodrunk_dance
+75 dalšíchdrunk_dance_petdaoma_dancebouncy_dancesmooth_sailing_dancenew_year_greetinglion_danceprosperitygreat_successgolden_horse_fortunered_packet_boxlucky_horse_yearlucky_red_packetlucky_money_comelion_dance_petdumpling_making_petfish_making_petpet_red_packetlantern_glowexpression_challengeoverdriveheart_gesture_dancepopingmartial_artsrunningnezhamotorcycle_dancesubject_3_danceghost_step_dancephantom_jewelzoom_outcheers_2026kiss_profight_prohug_proheart_gesture_prodollar_rain_propet_bee_prosanta_random_surprisemagic_match_treehappy_birthdaythumbs_up_prosurprise_bouquetbouquet_dropglamour_photo_shootbox_of_joyfirst_toast_of_the_yearmy_santa_picsanta_giftsteampunk_christmassnowglobechristmas_photo_shootornament_crashsanta_expresscoronation_of_frostspark_in_the_snowscarlet_and_snowbullet_time_litejumping_ginger_joyvenomous_spiderthrone_of_kingluminous_elfwoodland_elfsnowboardingwitch_transformvampire_transformpumpkin_head_transformdemon_transformmummy_transformzombie_transformcute_pumpkin_transformhalloween_escapekorean_baseballgirlfriendboyfriendsplashsplash
Výběr scény efektu, který nabízí efekty s jedním obrázkem s výjimkou možnosti heart_gesture s více obrázky.
durationvolitelné
Typenum
Výchozí5
510
Délka výstupního videa v sekundách.
povinné

Parametry souborů přijímají veřejnou adresu https:// URL, data: URI do 10 MB nebo file_url nahraného souboru. Soubory

Výstup

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/v1/standard/effects",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 225,
    "usd": "0.225",
    "charged": 225,
    "refunded": 0
  },
  "input": {
    "effect_scene": "heart_gesture"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Vaše soubory, vaše volbaKaždý outputs[].url je kopie v našem úložišti: uchovávaná navždy (zpoplatněná za GB-měsíc) nebo 7 dne zdarma podle nastavení účtu nebo ?storage=.
Stejná struktura u každého modelutype, url, content_type, width, height a duration pro obrázky, video i zvuk. output je vlastní objekt výsledku modelu.
Pole výstupu
video
object {url, content_type, file_name, file_size}Video vytvořené modelem.

Další modely: Text na video

Pro AI agenty: tato stránka je ve formátu Markdown na adrese https://doitong.com/cs/developers/models/kling-video/v1/standard/effects.md. Všechny modely a návody: https://doitong.com/developers/llms.txt